# Four Creative Theme

Ein Theme für das [Grav CMS](http://github.com/getgrav/grav), das einer dynamischen, leichter zu erweiternden und pflegenden Umsetzung der ursprünglichen 4Creative-Website bietet.

## Features

### Header und Footer

Jede Seite besitzt einen Header, der durch Herunterscrollen durch einen kompakteren "Sticky Header" ersetzt wird, und einen Footer mit dynamischem Copyright-Hinweis und Discord-Einladungslink.  
Das zu verwendende Logo, der Einladungslink und die Discord-Buttons können in den Einstellungen des Themes festgelegt werden.

### Module

Die folgenden Module können einer modularen Website hinzugefügt werden:

| Name | Beschreibung |
| -------- | -------- |
| Autoslideshow | Automatisch ablaufende, einfache Bilder-Slideshow |
| Boxlist | Zeile aus Kästchen mit Bildern, Links, Titeln und kurzen Beschreibungstexten, für den Abschnitt "Unser Weltenverbund" der Startseite genutzt |
| Slideshowext | Erweiterte Slideshow mit Bildern, Texten und Links, die manuell durchschritten werden kann. Kann zusätzlich auch automatisch ablaufen (JavaScript benötigt). |
| Textbg | Normaler Text (Markdown) mit Hintergrundbild und/oder -Farbe |

### Optionale Komponenten

Das Theme liefert zwei optionale Komponenten mit, die standardmäßig deaktiviert sind, aber über die Theme-Konfiguration aktiviert werden können:
1. Cookie-Banner, das Nutzer auf das Setzen von Cookies hinweist. Grav setzt für normale Nutzer standardmäßig keine Cookies, weshalb diese Komponente standardmäßig nicht aktiviert ist.
2. Skript, das den Aufruf des Kontextmenüs für Bilder verhindert. Dies erschwert unerfahrenen Nutzern das Stehlen von Seiteninhalten.

## Installation

Vorausgesetzt wird eine vorhandene Grav-Installation (siehe [hier](https://learn.getgrav.org/17/basics/installation)).  
Das Theme kann direkt installiert werden, indem unter `user/themes` in der Grav-Verzeichnisstruktur das Verzeichnis `four-creative` erstellt und der Inhalt dieses Repository dort hineinkopiert wird.